<html>
    <head>
        <style type="text/css" media="print">
            table, th, td {
                border: 1px solid black;
                border-collapse: collapse;
            }
            .mengetahui {
                border: 1px solid #fff;
                border-collapse: collapse;
                margin-top:10px;
                font-family:sans-serif;
            }
            .font_empatbelas {
                font-size: 14pt;
            }    
            @page{
                margin:30px 50px 50px 30px;
                odd-header-name: html_MyHeader1;
                odd-footer-name: html_MyFooter1;
            }    
        </style>
    </head>
    <body>
        <?php
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakpendaftaranop.xls");
        }

        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $namabulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];

        if (!empty($ar_jenis)) {
            $namajenis = strtoupper($ar_jenis['s_namajenis']);
        } else {
            $namajenis = 'PAJAK';
        }

        if ($statusobjek == 'true') {
            $statusobjek = '(AKTIF)';
        } elseif ($statusobjek == 'false') {
            $statusobjek = '(TIDAK AKTIF)';
        } else {
            $statusobjek = '';
        }

        $kecamatan = (!empty($ar_kecamatan->s_namakec)) ? 'KECAMATAN ' . $ar_kecamatan->s_namakec : '';
        $kelurahan = (!empty($ar_kelurahan->s_namakel)) ? ', KELURAHAN ' . $ar_kelurahan->s_namakel : '';
        ?>
        <div style='width: 100%; float: right;font-family:sans-serif;text-align: center;'>
            <strong style=" font-size: 11pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
            <strong style=" font-size: 12pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
            <span style="font-size:8pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
        </div>
        <hr style="line-height: 1px; color: black">
        <h4 style="text-align: center;font-family:sans-serif;">DATA PENDAFTARAN OBJEK <?= $namajenis ?> <br> <?= $kecamatan . '' . $kelurahan ?> <?= $statusobjek ?></h4>
        <p style="font-size: 10pt; line-height: 5px;font-family:sans-serif;"> 
            Tanggal Daftar : <?= $tgldaftar0 ?> s/d <?= $tgldaftar1 ?>
        </p>
        <table width="100%" cellpadding="4" style="font-family:sans-serif;" border="1">
            <thead>
                <tr style="text-align: center;background:#dedfe0;">
                    <th>No.</th>
                    <th>TGL DAFTAR</th>
                    <th>NPWPD</th>
                    <th>NAMA WP</th>
                    <th>NAMA PEMILIK</th>
                    <th>NAMA OBJEK PAJAK</th>
                    <th>ALAMAT OBJEK PAJAK</th>
                    <th>JENIS OBJEK</th>
                    <!--<th>TIPE USAHA</th>-->
                </tr>
            </thead>
            <?php
            $counter = 1;
            foreach ($data as $k => $v) {
                ?>
                <tr>
                    <td style="text-align: center;vertical-align:top;">
                        <?= $counter ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= date('d-m-Y', strtotime($v['t_tgldaftarobjek'])) ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= $v['t_npwpdwp'] ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= $v['t_namawp'] ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= $v['t_namapemilik'] ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= $v['t_namaobjek'] ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= $v['t_alamatlengkapobjek'] ?>
                    </td>
                    <td style="vertical-align:top;">
                        <?= (!empty($v['s_namakorek'])) ? $v['s_namakorek'] : $v['s_namajenis']; ?>
                    </td>
<!--                    <td style="vertical-align:top;">
                        <= (!empty($v['t_tipeusaha'])) ? str_pad($v['t_tipeusaha'], 2, "0", STR_PAD_LEFT) . ' - ' . $v['s_namausaha'] : '-'; ?>
                    </td>-->
                </tr>
                <?php
                $counter++;
            }
            ?>
        </table>
        <?php
        if ($formatcetak == 'pdf') {
            ?>
            <table width="100%" class="mengetahui">
                <tr class="mengetahui">
                    <td style=" width: 35%; text-align: center;vertical-align: bottom;" class="mengetahui">
                        Mengetahui<br>
                        <?= $ar_mengetahui->s_jabatanpej ?>
                        <br><br><br><br><br><br><br>
                        <u><b><?= $ar_mengetahui->s_namapej ?></b></u><br>
                        NIP <?= $ar_mengetahui->s_nippej ?>
                    </td>
                    <td style=" width: 30%" class="mengetahui"></td>
                    <td style=" width: 35%;text-align: center;vertical-align: bottom;" class="mengetahui">
                        <?= $ar_pemda->s_namaibukotakabkota . ', ' . date('d', strtotime($tglcetak)) . " " . $namabulan_text[date('m', strtotime($tglcetak)) - 1] . " " . date('Y', strtotime($tglcetak)) ?>
                        <br>
                        Diperiksa Oleh<br>
                        <?= $ar_diperiksa->s_jabatanpej ?>
                        <br><br><br><br><br><br><br>
                        <u><b><?= $ar_diperiksa->s_namapej ?></b></u><br>
                        NIP <?= $ar_diperiksa->s_nippej ?>  
                    </td>
                </tr>
            </table>
        <htmlpagefooter name="MyFooter1">
            <table width="100%" style="vertical-align: bottom; font-family: serif; font-size: 8pt;
                   color: #000000; font-weight: bold; font-style: italic;border: 1px solid;">
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 11px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </table>
        </htmlpagefooter>
        <?php
    }
    ?>
</body>
</html>